Kerbal Space Program - Bug #9750

Time Warp emergency stopper only working clockwise
05/22/2016 08:41 PM - Skeltek
Description

Hi,

the function which checks the proximity to celestial bodies in the next gametick seems to use a pr
ojection of the arc length to check in advance wether entrance into atmosphere or a lower "warp-ma
ximum-zone" is to be expected.

The function projects the trajectory only clockwise into the future, reducing or stopping the warp
if a lower celestial orbit distance magnitude is to be expected.

How the glitch works:

Orbiting a planet counter-clockwise will render the function out of context:

The warp will be stopped after the atmosphere has already been passed.

Intitiation of warp shortly after passing the athmospere will not function.

Initiating a high warp after having left the atmosphere for a while will work, but get stopped immediately, because the function
expects the trajectory to lead into the atmosphere and stop it immediately.

Testconditions for confirmation:

Launch a vessel counter-clockwise into a suborbital trajectory (for example: periapsis 60km, apoapsis 500,000km).

Initiating highspeed-warp after leaving atmosphere will not work or get aborted.

Initiating highspeed-warp before entering atmosphere will bypass the atmosphere and stop in the middle of atmosphere or after
leaving atmosphere.

Solution:
Make the function which projects future trajectory case sensitive to signum of projected arc length direction.

Status: New (no prior reports found)

Priority: Normal (high and gamebreaking since vehicles may get destroyed by planetary colission when warp doesnt stop in time, but
high workload for correcting the glitch gives it a bad "benefit/workload"-ratio)

Category: Physics (programmingwise it falls into the collisiondetection and math categories)

Version: 1.1.2 (Realized the bug here for first time)

Platform: Windows (tested on Windows10, but probably present on all Platforms, since its a platform-independant calculation)

History

#1 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/09/2019 11:01 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#3 - 08/09/2019 11:01 PM - chris.fulton

- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.
